Subject: [bitcoin-dev] Towards a singular payment protocol

From: [email-masked]
Date: Tue, 12 Nov 2019 17:02:09 +0200

A proposal for a new blockchain-agnostic payment protocol:

https://cypherpunk.org/2019/11/10/towards-a-singular-payment-protocol/

Includes the following characteristics:

- can be used with crypto or fiat currencies
- multiple currency options for a single transaction
- multiple payments in a single transaction
- allow a payment in one currency, but the value to be referenced from a second currency
- fee payment by sender or recipient
- calculation of valuation and fees through common trusted third parties

This is a proposal for a new payment protocol that is not linked to a specific blockchain, and could be supported by many of them, as well as fiat currencies. With one system, wallet developers working on multiple currencies could still look to a single payment system, and thus full support for a single protocol would increase.

I understand that some people will oppose something like this simply because it supports other coins, but I ask that it be looked at from the perspective of a) does it offer better functionality for Bitcoin, and b) would increased support by more wallets for a payment protocol be better for Bitcoin? If those are true, and I think they are, then this can be developed to the benefit of everyone.

This is the first section, focused on the actual payments. Other future sections are planned to include a section on smart contracts and tokens, and a transport mechanism for private communications between buyer and seller.

The goal would be to transform this into a BIP, but I think it needs some discussion first. I would appreciate constructive criticism on the proposal. While I’m open to the argument that payment protocols need to be coin-specific, I think at this point it would be more useful to discuss the functionality first.

Nothing in this section is really blockchain-specific, and the goal would be to keep it that way, and offer the same functionality to everyone.

I thank anyone who takes the time to read this proposal, and I hope to see good feedback on it.

Thank you,

EE